#include "guess.h"
#include <bits/stdc++.h>
using namespace std;


int find_number(int MAX) {
	int l = 0, r = MAX;
	
	int ans = 0;
	
	while(l <= r){
		int m = (l + r) >> 1;
		
		if(smaller(m)){
			r = m - 1;
		}
		else{
			ans = m;
			l = m + 1;
		}
	}
	
	return ans;
}

